# README for Simulation Studies

## Overview  
**GapFilling.jl** is a Julia module designed to efficiently impute data with missing values. 

**SimulatedFunctions.jl**: A module containing functions for simulating data.  

## Simulation Programs  

1. **simul1.jl**: Program for simulations described in Section 3.1.  
2. **simul2.jl**: Program for simulations described in Section 3.2.  
3. **simul3.jl**: Program for simulations described in Section 3.3.  
4. **plot_simu1to3.R**: R script for generating figures based on results from `simul1.jl`, `simul2.jl`, and `simul3.jl`.  

## Replicating the Simulation Results  

Follow these steps to reproduce the simulation results and figures:  

1. Run **simul1.jl** in the Julia console:  
```julia
include("simul1.jl")
```

2. Run **simul2.jl** in the Julia console:
```julia
include("simu2.jl")
```
3.  Run **simul3.jl** in the Julia console:
```julia
include("simul3.jl")` 
``` 
4.  Run **plot_simu1to3.R** in the R console to generate figures:
```R 
 source("plot_simu1to3.R")` 
 ```   

