
raw1 <- read.csv("res_sim1.csv")
raw2 <- read.csv("res_sim2.csv")
raw3 <- read.csv("res_sim3.csv")


pdf("simu1to3.pdf",width = 0, height = 0, paper="a4r")
par(mfrow=c(3,1), mar=c(4.5,4.5,2,1))

plot(raw1$win_len, raw1$rms1,type="n",
     main ="", # "Reconstruction Error",
     ylim=c(0, 1.5),cex.lab=1.5, #cex.main=2.5,
     xlab="Window Length", ylab="RMSE", tick.ratio=2, cex.axis=1.5)
points(raw1$win_len, raw1$rms1, pch=1)
points(raw1$win_len, raw1$rms2,pch=4)

legend(430, 1,
       pch=c(1,4),
       bty="n",cex=1.2,
       legend=c("Fixed frequencies","Varied Frequencies"))


plot(raw2$win_len, raw2$rms1,type="n",
     main = "",# "Gap-Filling Error",
     ylim=c(0, 1.7),cex.lab=1.5,#cex.main=2.5,
     xlab="Window Length", ylab="RMSE", tick.ratio=2, cex.axis=1.5)
points(raw2$win_len, raw2$rms1, pch=1)
points(raw2$win_len, raw2$rms2,pch=4)

legend(x=430,y=1.2,
       pch=c(1,4),
       bty="n",cex=1.3,
       legend=c("Fixed frequencies","Varied Frequencies"))


plot(raw3$win_len, raw3$rms1,type="n",
     main = "",# "Gap-Filling Error",
     ylim=c(0, 6),cex.lab=1.5,#cex.main=2.5,
     xlab="Window Length", ylab="RMSE", tick.ratio=2, cex.axis=1.5)
points(raw3$win_len, raw3$rms1, pch=19)
points(raw3$win_len, raw3$rms2,pch=4)
points(raw3$win_len, raw3$rms3, pch=1)

legend("topright",
       pch=c(19,4,1),
       bty="n",cex=1.4,
       legend=c("Extreme initialization",
                "Mean/Zero initialization",
                "SSA initialization"))


dev.off()

