include("GapFilling.jl")    
include("SimulatedFunctions.jl")
using .GapFilling
using .SimulatedFunctions
using Random, CSV, DataFrames 

## Simulation 
Random.seed!(2023)

x= collect(1:1000)
win_len_vec = 10:10:500

## First
y0 = my_func1.(x)
y1 = y0 + randn(length(y0))
rms1 = cal_reconstruct_rms(y1, y0, win_len_vec)

## Second
y0 = my_func2(x)
y2 = y0 + randn(length(y0))
rms2 = cal_reconstruct_rms(y2, y0, win_len_vec)

## Save output
res_simulation1 = DataFrame(win_len = win_len_vec,
            rms1 = rms1,
            rms2 = rms2)

CSV.write("res_sim1.csv", res_simulation1)


