include("GapFilling.jl")
include("SimulatedFunctions.jl")
using .GapFilling
using .SimulatedFunctions
using Random, CSV, DataFrames, Statistics


## Simulation 
Random.seed!(2023)

x = collect(1:1000)
win_len_vec = 10:10:500

idx_miss = fill(false, length(x))
m = 25
idx_miss[501-5m:500+5m] .= true

## First
y0 = my_func1.(x)
y1 = y0 + randn(length(y0))
y1[idx_miss] .= 0.0
y1 = ini_missing(y1, idx_miss)
rms1 = cal_reconstruct_rms(y1, y0, idx_miss, win_len_vec)

## Second
y0 = my_func2(x)
y2 = y0 + randn(length(y0))
y2[idx_miss] .= 0
y2 = ini_missing(y2, idx_miss)
rms2 = cal_reconstruct_rms(y2, y0, idx_miss, win_len_vec)

## Save output
res_simulation2 = DataFrame(win_len=win_len_vec,
    rms1=rms1,
    rms2=rms2)

CSV.write("res_sim2.csv", res_simulation2)

