include("GapFilling.jl")
include("SimulatedFunctions.jl")
using .GapFilling
using .SimulatedFunctions
using Random, CSV, DataFrames, Statistics

#  Simulation 
## Set up

Random.seed!(2023)

x = collect(1:1000)
win_len_vec = 10:10:500

idx_miss = fill(false, length(x))
m = 25
idx_miss[501-5m:500+5m] .= true

y0 = my_func1.(x)
y1 = y0 + randn(length(y0))

## Simulation 3.1: Initial missing set at -5

y1_ini = copy(y1)
y1_ini[idx_miss] .= 5.0
rms1 = cal_reconstruct_rms(y1_ini, y0, idx_miss, win_len_vec)

## Simulation 3.2: Initial missing set at 0

y2_ini = copy(y1)
y2_ini[idx_miss] .= 0.0

rms2 = cal_reconstruct_rms(y2_ini, y0, idx_miss, win_len_vec)

## Simulation 3.3: Initial missing using the proposed method

y3_ini = copy(y1)
y3_ini[idx_miss] .= 0.0
y3_ini = ini_missing(y3_ini, idx_miss)
rms3 = cal_reconstruct_rms(y3_ini, y0, idx_miss, win_len_vec)

## Save output
res_simulation3 = DataFrame(win_len=win_len_vec,
    rms1=rms1,
    rms2=rms2,
    rms3=rms3)

CSV.write("res_sim3.csv", res_simulation3)
